Page MenuHomePhabricator

Probably wrong usage of "this" in ve.init.mw.DesktopArticleTarget.js
Closed, ResolvedPublic1 Estimated Story Points

Description

When reading the code for DAT.saveComplete, I came across an this in line 958. Without looking further into it (and especially without testing anything), I suspect that it should be target instead.

Event Timeline

Schnark created this task.Jun 20 2018, 8:45 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 20 2018, 8:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper renamed this task from Probably wrong usage of this to Probably wrong usage of "this" in ve.init.mw.DesktopArticleTarget.js.Jun 20 2018, 8:46 AM

Change 441248 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Follow-up I348b8522: Fix context variable

https://gerrit.wikimedia.org/r/441248

Esanders set the point value for this task to 1.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 441248 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Follow-up I348b8522: Fix context variable

https://gerrit.wikimedia.org/r/441248

Deskana closed this task as Resolved.Jun 26 2018, 2:43 PM
Deskana triaged this task as Medium priority.
Vvjjkkii renamed this task from Probably wrong usage of "this" in ve.init.mw.DesktopArticleTarget.js to xlaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from xlaaaaaaaa to Probably wrong usage of "this" in ve.init.mw.DesktopArticleTarget.js.Jul 2 2018, 9:45 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.